<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md)

## CodingContract interface

Coding Contract API

**Signature:**

```typescript
export interface CodingContract 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[attempt(answer, filename, host)](./bitburner.codingcontract.attempt.md)


</td><td>

Attempts a coding contract, returning a reward string on success or empty string on failure.


</td></tr>
<tr><td>

[createDummyContract(type, host)](./bitburner.codingcontract.createdummycontract.md)


</td><td>

Generate a dummy contract.


</td></tr>
<tr><td>

[getContract(filename, host)](./bitburner.codingcontract.getcontract.md)


</td><td>

Get various data about a specific contract.


</td></tr>
<tr><td>

[getContractType(filename, host)](./bitburner.codingcontract.getcontracttype.md)


</td><td>

Get the type of a coding contract.


</td></tr>
<tr><td>

[getContractTypes()](./bitburner.codingcontract.getcontracttypes.md)


</td><td>

List all contract types.


</td></tr>
<tr><td>

[getData(filename, host)](./bitburner.codingcontract.getdata.md)


</td><td>

Get the input data.


</td></tr>
<tr><td>

[getDescription(filename, host)](./bitburner.codingcontract.getdescription.md)


</td><td>

Get the description.


</td></tr>
<tr><td>

[getNumTriesRemaining(filename, host)](./bitburner.codingcontract.getnumtriesremaining.md)


</td><td>

Get the number of attempts remaining.


</td></tr>
</tbody></table>

